> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Oauth Callback

> Handle return from Clerk login — generate auth code and redirect.



## OpenAPI

````yaml /openapi.json get /v1/oauth/callback
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/oauth/callback:
    get:
      tags:
        - oauth
      summary: Oauth Callback
      description: Handle return from Clerk login — generate auth code and redirect.
      operationId: oauth_callback_v1_oauth_callback_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}

````